%
% anyremote configuration file for Exaile management (AT-mode)
% prerequisites: amixer/pactl utility
%

% STATUS stable
% XTEST no
% SOUND mixer
% ENV no
% DEF_PLAYER   

GuiAppName=Exaile
GuiAppBinary=exaile
GuiAppRun=P=`ps -ef|grep exaile |grep -v grep|grep -v anyremote|grep -v nedit`; if [ "x$P" = "x" ]; then echo NOK; else echo OK; fi
GuiAppIcon=exaile.png
GuiAppType=Application
GuiAppProtocols=AT
GuiAppDesc=Exaile is a music player aiming to be similar to KDE's Amarok, but for GTK+ and written in Python.


[Protocol]=AT

(Init)=\
	Include($(CfgDir)/Utils/aliases-at.cfg);\
	Macro(SETUP_DEFAULT_MIXER);\
	Make(var,TwoWayComm,by_value,false);\
	Macro(CHECK_RFCOMM_DEVICE);

(Connect)=\
	Make(mode,exaile);

[Mode]=exaile : default_player_at

RUN_IF_NEED=\
	Exec(P=`ps -ef|grep exaile|grep -v grep|grep -v anyremote|grep -v edit`; if [ "x$P" = "x" ]; then xterm -geometry "1x1+0+0" -e exaile& fi);

RUN_OR_QUIT=\
	Exec(P=`ps -ef|grep exaile|grep -v grep|grep -v anyremote|grep -v edit`; if [ "x$P" = "x" ]; then xterm -geometry "1x1+0+0" -e exaile& else pkill -f "python (.)*exaile"; fi);

QUIT=\
	Exec(pkill -f 'python (.)*exaile');

PREV=Exec(exaile --prev);
PLAY=Exec(exaile --play-pause);
NEXT=Exec(exaile --next);

PAUSE=Exec(exaile --play-pause);
STOP=Exec(exaile --play-pause);

% override
* *=Macro(DEFAULT_HELP_NO_FF_RWD);

[ModeEnd]

[End]
